## ros-indigo-segbot-logical-translator 0.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(segbot_logical_translator)

find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    bwi_mapper
    bwi_msgs
    bwi_planning_common
    dynamic_reconfigure
    map_msgs
    message_filters
    move_base_msgs
    multi_level_map_msgs
    multi_level_map_utils
    nav_msgs
    roscpp
    tf
)

catkin_package(
  CATKIN_DEPENDS
    actionlib
    bwi_mapper
    bwi_msgs
    bwi_planning_common
    dynamic_reconfigure
    map_msgs
    message_filters
    move_base_msgs
    multi_level_map_msgs
    multi_level_map_utils
    nav_msgs
    roscpp
    tf
  INCLUDE_DIRS
    include
  LIBRARIES
    segbot_logical_translator
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(segbot_logical_translator
  src/libsegbot_logical_translator/segbot_logical_translator.cpp)
target_link_libraries(segbot_logical_translator
  ${catkin_LIBRARIES}
)

add_executable(segbot_logical_navigator src/nodes/segbot_logical_navigator.cpp)
target_link_libraries(segbot_logical_navigator
  ${catkin_LIBRARIES}
  segbot_logical_translator)
add_dependencies(segbot_logical_navigator ${catkin_EXPORTED_TARGETS})

install(TARGETS segbot_logical_translator segbot_logical_navigator
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY
  include/segbot_logical_translator/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-segbot-logical-translator (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.3.4-0trusty) trusty; urgency=high

  * Updated approachObject observations to update facing and beside fluents.
  * segbot_logical_translator: fix broken add_dependency() (#61 <https://github.com/utexas-bwi/segbot/issues/61>)
  * improved door sensing behavior. switched from navfn to global_planner
  * refined door open check behavior to also disable static costmap.
  * changed gothrough action to disable static map while executing navigation.
  * bug fixes to new floor location resolution functionality.
  * added functionality for resolving a change floor request, allowing robot teleportation.
  * Contributors: FernandezR, Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.3.3-0trusty) trusty; urgency=high

  * merge segbot_apps packages into segbot (#46 <https://github.com/utexas-bwi/segbot/issues/46>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.3.1-0trusty) trusty; urgency=high

  * Closes #29 <https://github.com/utexas-bwi/segbot_apps/issues/29>
    - Get latest version of move_base to get fix introduced in https://github.com/ros-planning/navigation/pull/295
    This allows setting tolerance to 0 when calling make_plan from segbot_logical_translator.
    - Don't use any tolerance when testing whether a door was open or not.
    - Don't clear costmap around robot when testing for an open door.
  * fixed issue where the logical translator was returning beside and facing for two different doors. closes #30 <https://github.com/utexas-bwi/segbot_apps/issues/30>.
  * segbot_logical_navigator now checks for costmap updates to test whether the map has changed between door/no-door versions. closes #28 <https://github.com/utexas-bwi/segbot_apps/issues/28>
  * removed segbot_gazebo dependency. closes #27 <https://github.com/utexas-bwi/segbot_apps/issues/27>.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.3.0-0trusty) trusty; urgency=high

  * completed migration of LogicalNavigationAction to bwi_msgs in bwi_common repository.
  * fixed bug in segbot_logical_translator where it would try and analyze facing/beside for doors not connected to the current location.
  * modified the segbot_logical_navigator to use action service instead of services.
  * read map file and data directory using multimap
  * some navigation changes for more robust navigation.
  * use correct approachable area for objects and doors.
  * added multimap support.
  * making the logical navigator advertise execute_logical_goal after the first pose has been received (github issue #18 <https://github.com/utexas-bwi/segbot_apps/issues/18>)
  * turning annoying prints into ROS_INFOs and removing more annoying ones.
  * Made the door checker test for the door to be open 3 times before going through. Works much better. Removed recovery behavior.
  * Contributors: Matteo Leonetti, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.2.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Apr 2014 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.2.0-0trusty) trusty; urgency=high

  * now actually read in object approach file
  * added the ability to approach an object, as well as added the
    ability to approach a door from any accessible location
  * now catkin_lint approved
  * better error checking, shared global nodehandle, added ability to
    sense whether a door is open or not
  * moved the cost estimator to the bwi_planning package
  * moved gazebo stuff to separate simulated app
  * Contributors: Jack O'Quin, Piyush Khandelwal, piyushk

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 19 Apr 2014 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.1.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 03 Sep 2013 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.1.4-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 12 Aug 2013 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.1.3-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 16 Jul 2013 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.1.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 13 Jul 2013 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.1.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 10 Jul 2013 05:00:00 -0000

ros-indigo-segbot-logical-translator (0.1.0-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 28 Jun 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-segbot-logical-translator
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-bwi-mapper, ros-indigo-bwi-msgs, ros-indigo-bwi-planning-common, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-map-msgs, ros-indigo-message-filters, ros-indigo-move-base-msgs, ros-indigo-multi-level-map-msgs, ros-indigo-multi-level-map-utils, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-tf
Homepage: http://ros.org/wiki/segbot_logical_translator
Standards-Version: 3.9.2

Package: ros-indigo-segbot-logical-translator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-bwi-mapper, ros-indigo-bwi-msgs, ros-indigo-bwi-planning-common, ros-indigo-dynamic-reconfigure, ros-indigo-map-msgs, ros-indigo-message-filters, ros-indigo-move-base-msgs, ros-indigo-multi-level-map-msgs, ros-indigo-multi-level-map-utils, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-segbot-navigation, ros-indigo-tf, ros-indigo-utexas-gdc
Description: High-level navigation application for the segbot allowing the segbot to approach and gothrough doors.
 The application can also be used to determine the segbot's logical location, as well as sense when a door in front of the robot is open or not.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot-logical-translator//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
